/*
	DO NOT EDIT THIS FILE. ALL OF YOUR CHANGES WILL BE LOST.
	This file will be replaced after each script update.
	Create new .mcr file if you want macros with different agruments.
*/

macroScript UVT_OpenUi
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools__Open UV Tools UI"
buttonText:	"UVt"
icon:		#("NikScripts_uvtools",1)
silentErrors: true
(
	/*
		@description
			Open uvtools main dialog.
	*/
	on isChecked do
	(
		if isStruct ::ns_uvtools then ns_uvtools.rolloutsCreated else false
	)
	on execute do
	(
		if isStruct ::ns_uvtools then
		(
			if ns_uvtools.rolloutsCreated then ::ns_uvtools.Destroy()
			else ::ns_uvtools.OpenUi()
		)
		else messagebox "UV Tools is not loaded\nReinstall it or contact with developer"
	)
)

macroScript UVT_UnwrapAdd
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Unwrap Add"
buttontext:	"Unwrap Add"
silentErrors: true
(
	/*
		@description
			Add unwrap modifier with given channel.
		@arguments
			<integer> chan - Mapping channel.
			<boolean> forceFaceMode - If true then force faces subselection mode.
	*/
	::ns_uvtools.UnwrapModAdd chan:1 forceFaceMode:on
)

macroScript UVT_UnwrapFind
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Unwrap Find"
buttontext:	"Unwrap Find"
silentErrors: true
(
	/*
		@description
			Get current unwrap modifier and mapping channel. Return true if unwrap found.
		@arguments
			<boolean> create - If unwrap not found then add new.
			<boolean> search - If true then find first unwrap modifier.
	*/
	::ns_uvtools.UnwrapModGet search:on
)

macroScript UVT_ModifierClone
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Modifier Clone"
buttontext:	"Modifier Clone"
silentErrors: true
(
	/*
		@description
			Clone current modifier.
	*/
	::ns_uvtools.ModifierClone()
)

macroScript UVT_ModifierCollapse
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Modifier Collapse"
buttontext:	"Modifier Collapse"
silentErrors: true
(
	/*
		@description
			Collapse current modifier.
	*/
	::ns_uvtools.ModifierCollapse()
)

macroScript UVT_ModifierDelete
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Modifier Delete"
buttontext:	"Modifier Delete"
silentErrors: true
(
	/*
		@description
			Delete current modifier.
	*/
	::ns_uvtools.ModifierDelete()
)

macroScript UVT_SetMapChannel
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Set Map Channel"
buttontext:	"Set Map Channel"
silentErrors: true
(
	/*
		@description
			Set unwrap mapping channel. 
		@arguments
			<integer> chan - Mapping channel.
			<boolean> uvreset - If true then reset mapping on new channel. Use existing mapping.
	*/
	::ns_uvtools.Unw_SetMapChannel chan:1 uvreset:false
)

macroScript UVT_AlignU
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Align U to Edge"
buttontext:	"Align U to Edge"
silentErrors: true
(
	/*
		@description
			Align U in viewport.
	*/
	on execute do ::ns_uvtools.TpiAlign.Switch 1
	on ischecked do ::ns_uvtools.thePainterMode == 1
)

macroScript UVT_AlignV
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Align V to Edge"
buttontext:	"Align V to Edge"
silentErrors: true
(
	/*
		@description
			Align V in viewport.
	*/
	on execute do ::ns_uvtools.TpiAlign.Switch 2
	on ischecked do ::ns_uvtools.thePainterMode == 2
)

macroScript UVT_Tweak
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Tweak"
buttontext:	"Tweak"
silentErrors: true
(
	/*
		@description
			Tweak UV in viewport.
	*/
	on execute do ::ns_uvtools.TpiTweak.Switch()
	on ischecked do ::ns_uvtools.thePainterMode == 3
)

macroScript UVT_OpenEditor
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Open Editor"
buttontext:	"Open Editor"
silentErrors: true
(
	/*
		@description
			Find unwrap and open uv editor.
	*/
	::ns_uvtools.Unw_OpenEditor()
)

macroScript UVT_XformReset
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Xform Reset"
buttontext:	"Xform Reset"
silentErrors: true
(
	/*
		@description
			ResetXform selected objects.
	*/
	::ns_uvtools.XformReset()
)

macroScript UVT_ConvertToVertices
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Convert to Vertices"
buttontext:	"Convert to Vertices"
silentErrors: true
(
	/*
		@description
			Convert unwrap selection to other sublevel.
		@arguments
			<integer> lvl - Sublevel to convert.
	*/
	::ns_uvtools.Unw_ConvertSubLevel 1
)

macroScript UVT_ConvertToEdges
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Convert to Edges"
buttontext:	"Convert to Edges"
silentErrors: true
(
	/*
		@look UVT_ConvertToVertices
	*/
	::ns_uvtools.Unw_ConvertSubLevel 2
)

macroScript UVT_ConvertToFaces
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Convert to Faces"
buttontext:	"Convert to Faces"
silentErrors: true
(
	/*
		@look UVT_ConvertToVertices
	*/
	::ns_uvtools.Unw_ConvertSubLevel 3
)

macroScript UVT_SelectOutline
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Select Outline"
buttontext:	"Select Outline"
silentErrors: true
(
	/*
		@description
			Select outline uv edges from current selection.
	*/
	::ns_uvtools.Unw_SelectOutline()
)

macroScript UVT_SelectElement
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Select Element"
buttontext:	"Select Element"
silentErrors: true
(
	/*
		@description
			Grow unwarp subselection to uv elements.
	*/
	::ns_uvtools.Unw_GrowToElement()
)

macroScript UVT_ShrinkElement
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Shrink to Element"
buttontext:	"Srhink Element"
silentErrors: true
(
	/*
		@description
			Shrink unwarp subselection to fully selected uv elements.
	*/
	::ns_uvtools.Unw_ShrinkToElement()
)

macroScript UVT_SelectGeomElement
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Select Geom Element"
buttontext:	"Select Geom Element"
silentErrors: true
(
	/*
		@description
			Grow unwrap subselection to geometry elements.
	*/
	::ns_uvtools.Unw_GrowToGeoElement()
)

macroScript UVT_SelectOpenEdges
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Select Open Edges"
buttontext:	"Select Open Edges"
silentErrors: true
(
	/*
		@description
			Select uv border edges from current subselection or all.
	*/
	::ns_uvtools.Unw_SelectOpenEdges()
)

macroScript UVT_GrowToOpenEdges
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Grow to Open Edges"
buttontext:	"Grow to Open Edges"
silentErrors: true
(
	/*
		@description
			Grow unwrap selected edges to open edges.
	*/
	::ns_uvtools.Unw_GrowToOpenEdges()
)

macroScript UVT_PeltSeamsReplace
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Pelt Seams Replace"
buttontext:	"Pelt Seams Replace"
silentErrors: true
(
	/*
		@description
			Convert selected edges to pelt seams.
	*/
	::ns_uvtools.Unw_PeltSeamsReplace()
)

macroScript UVT_PeltSeamsAdd
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Pelt Seams Add"
buttontext:	"Pelt Seams Add"
silentErrors: true
(
	/*
		@description
			Add selected edges to pelt seams.
	*/
	::ns_uvtools.Unw_PeltSeamsAdd()
)

macroScript UVT_PeltSeamsSelect
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Pelt Seams Select"
buttontext:	"Pelt Seams Select"
silentErrors: true
(
	/*
		@description
			Select unwrap pelt seams on all or selected elements.
	*/
	::ns_uvtools.Unw_PeltSeamsSelect()
)

macroScript UVT_PeltSeamsClear
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Pelt Seams Clear"
buttontext:	"Pelt Seams Clear"
silentErrors: true
(
	/*
		@description
			Clear unwrap pelt seams on all or selected elements.
	*/
	::ns_uvtools.Unw_PeltSeamsClear()
)

macroScript UVT_SelectById
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Select by Id"
buttontext:	"Select by Id"
silentErrors: true
(
	/*
		@description
			Select unwrap faces with same material ids as all selected faces.
		@arguments
			<boolean> allModels - Select same material ids in all models.
	*/
	::ns_uvtools.Unw_SelectById allModels:false
)

macroScript UVT_SelectBySg
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Select by Sg"
buttontext:	"Select by Sg"
silentErrors: true
(
	/*
		@description
			Select faces with same smooth group (SG).
		@arguments
			<boolean> strict - If true then use exact same SG bits. Else use any SG bit.
	*/
	::ns_uvtools.Unw_SelectBySmooth strict:false
)

macroScript UVT_Loop
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Loop"
buttontext:	"Loop"
silentErrors: true
(
	/*
		@description
			Unwrap loop and ring. Full loop/ring, grow and shrink.
		@arguments
			<integer> mode - If 1 then loop. Else ring.
			<integer> dir - 0 full, -1 shrink, 1 grow.
	*/
	::ns_uvtools.Unw_LoopRing 1 dir:0
)

macroScript UVT_Ring
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Ring"
buttontext:	"Ring"
silentErrors: true
(
	/*
		@look UVT_Loop
	*/
	::ns_uvtools.Unw_LoopRing 2 dir:0
)

macroScript UVT_Break
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Break"
buttontext:	"Break"
silentErrors: true
(
	/*
		@description
			Break selected unwrap subobjects.
		@arguments
			<boolean> loop - If true then loop before break.
	*/
	::ns_uvtools.Unw_BreakSelection loop:false
)

macroScript UVT_BreakById
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Break by ID"
buttontext:	"Break by ID"
silentErrors: true
(
	/*
		@description
			Break unwrap selection by material id.
		@arguments
			<boolean> idOffset - Offset each ID to next tile.
			<integer> idColumns - Number of offsets by U.
	*/
	::ns_uvtools.Unw_BreakById idOffset:false idColumns:5
)

macroScript UVT_WeldShared
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Weld Shared"
buttontext:	"Weld Shared"
silentErrors: true
(
	/*
		@description
			Weld unwrap shared vertices.
	*/
	::ns_uvtools.Unw_WeldShared()
)

macroScript UVT_Stitch
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Stitch"
buttontext:	"Stitch"
silentErrors: true
(
	/*
		@description
			Stitch unwrap subselection.
		@arguments
			<boolean> grow - If true then grow subselection to uv elements.
	*/
	::ns_uvtools.Unw_Stitch grow:false
)

macroScript UVT_BitmapVpShow
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Bitmap Show"
buttontext:	"Bitmap Show"
silentErrors: true
(
	/*
		@description
			Show bitmaps of selected objects in viewport and switch them (1>2>3>1).
	*/
	::ns_uvtools.CycleViewportBitmaps()
)

macroScript UVT_BitmapVpHide
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Bitmap Hide"
buttontext:	"Bitmap Hide"
silentErrors: true
(
	/*
		@description
			Hide bitmaps of selected objects in viewport.
	*/
	::ns_uvtools.CycleViewportBitmaps disableAll:on
)

macroScript UVT_DisplayMaterial
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Display Material"
buttontext:	"Display Material"
silentErrors: true
(
	/*
		@description
			Switch display material mode.
		@arguments
			<boolean> state - Display material state. If unsupplied then switch on/false
	*/
	::ns_uvtools.DisplayColorMaterial state:unsupplied
)

macroScript UVT_SelectBySameMaterial
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Select By Material"
buttontext:	"Select By Material"
silentErrors: true
(
	/*
		@description
			Select objects with same materials as selection.
		@arguments
			<integer> mode - 1: Any shared materials, 2: Exact same materials.
	*/
	::ns_uvtools.SelectBySameMaterial 1
)

macroScript UVT_BackfaceCull
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Backface Cull"
buttontext:	"Backface Cull"
silentErrors: true
(
	/*
		@description
			Switch backface cull for selected objects.
		@arguments
			<boolean> state - Backface cull state. If unsupplied then switch on/false
	*/
	::ns_uvtools.BackfaceCullSwitch state:unsupplied
)

macroScript UVT_MappingFlatten
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Mapping Flatten"
buttontext:	"Mapping Flatten"
silentErrors: true
(
	/*
		@description
			Apply unwrap flatten mapping.
		@arguments				
			<integer> mode - 0 polygon angle, 1 by id, 2 by smooth group.
			<float> ang - Polygon angle.
			<float> spac - Spacing.
			<boolean> norm - Normalize elements.
			<boolean> rot - Rotate elements.
			<boolean> fill - Fill holes.
			<float> uvSize - If supplied then resize to given uv size.
	*/	
	::ns_uvtools.Unw_MapFlatten mode:0 ang:60 spac:0.01 norm:on rot:on fill:on uvSize:1000
)

macroScript UVT_MappingNormal
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Mapping Normal"
buttontext:	"Mapping Normal"
silentErrors: true
(
	/*
		@description
			Apply unwrap normal mapping.
		@arguments				
			<integer> type - 1 "Back/Front", 2 "Left/Right", 3 "Top/Bottom", 4 "Box No Top", 5 "Box", 6 "Diamond"
			<float> spac - Spacing.
			<boolean> norm - Normalize elements.
			<boolean> rot - Rotate elements.
			<boolean> align - Align by width.					
			<float> uvSize - If supplied then resize to given uv size.
	*/
	::ns_uvtools.Unw_MapNormal type:5 spac:0.01 norm:on rot:on align:on uvSize:1000
)

macroScript UVT_MappingPlanar
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Mapping Planar"
buttontext:	"Mapping Planar"
silentErrors: true
(
	/*
		@description
			Apply unwrap planar mapping and scale to given uv size.
		@arguments
			<float> uvSize - UV size to scale.
	*/
	::ns_uvtools.Unw_MapPlanar 1000
)

macroScript UVT_MappingBitmap
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Mapping Bitmap"
buttontext:	"Mapping Bitmap"
silentErrors: true
(
	/*
		@description
			Select bitmap texture and apply unwrap planar mapping based on its aspect ratio
	*/
	::ns_uvtools.Unw_MapPlanarBitmap()
)

macroScript UVT_ScaleToPick
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Scale to Pick"
buttontext:	"Scale to Pick"
silentErrors: true
(
	/*
		@description
			Get uv square size from picked face. Scale UV to this square size.
		@arguments
			<boolean> byElement - Apply to each uv element individually.
	*/
	::ns_uvtools.Unw_ScaleToPick byElement:false
)

macroScript UVT_ScaleToSize
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Scale to Size"
buttontext:	"Scale to Size"
silentErrors: true
(
	/*
		@description
			Scale UV to given square size.
		@arguments
			<float> val - Square size.
			<integer> scalePoint - Scale center point:
				0 - "Center" (default)
				1 - "Bottom Left"
				2 - "Bottom Right"
				3 - "Top Left"
				4 - "Top Right"
				5 - "UV Zero"
				6 - "Pivot"
			<boolean> byElement - Apply to each uv element individually.
	*/
	::ns_uvtools.Unw_ScaleToSize 1000 scalePoint:0 byElement:false
)

macroScript UVT_Normalize
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Normalize"
buttontext:	"Normalize"
silentErrors: true
(
	/*
		@description
			Normalize uv size. Make texel density of unwrap subselection the same.
		@arguments
			<integer> method - 0 to average texel density, 1 to min, 2 to max.
	*/
	::ns_uvtools.Unw_Normalize method:0
)

macroScript UVT_MatchWidth
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Match Width"
buttontext:	"Match Width"
silentErrors: true
(
	/*
		@description
			Make width or height of selected uv elements the same.
		@arguments
			<integer> axis - 1 match by x, 2 match by y.
			<integer> method - 0 to average, 1 to min, 2 to max.
			<boolean> keepRatio - Keep uv ratio when scale.
	*/
	::ns_uvtools.Unw_MatchScale 1 method:0 keepRatio:on
)

macroScript UVT_MatchHeight
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Match Height"
buttontext:	"Match Height"
silentErrors: true
(
	/*
		@look UVT_MatchWidth
	*/
	::ns_uvtools.Unw_MatchScale 2 method:0 keepRatio:on
)

macroScript UVT_Fit
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Fit"
buttontext:	"Fit"
silentErrors: true
(
	/*
		@description
			Fit unwrap subselection to uv tile.
		@arguments
			<boolean> byElement - Apply to each uv element individually.
			<boolean> keepRatio - Keep uv ratio when scale.
			<boolean> fill - Fill mode. Fit minimal uv side to tile.
			<float> spacing - Spacing between tile and uv elements.
	*/
	::ns_uvtools.Unw_Fit byElement:false keepRatio:on fill:false spacing:0.01
)

macroScript UVT_Center
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Center"
buttontext:	"Center"
silentErrors: true
(
	/*
		@description
			Make unwrap subselection centered to uv tile.
		@arguments
			<boolean> byElement - Apply to each uv element individually.
	*/
	::ns_uvtools.Unw_Center byElement:false
)

macroScript UVT_Relax
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Relax"
buttontext:	"Relax"
silentErrors: true
(
	/*
		@description
			Apply unwrap relax. If sublevel is 2 then relax by edge angle, else by face angle.
		@arguments
			<integer> iter - Relax iterations. Will be divided by 20 and applied 20 times for viewport update.
			<float> rstretch - Stretch value.
			<float> amount - Amount value. Relax strength.
			<boolean> bounds - Keep boundaries.
			<boolean> keepSize - Keep relaxed uv size the same as before relax.
	*/
	::ns_uvtools.Unw_Relax iter:500 rstretch:0 amount:0.1 bounds:false keepSize:false
)

macroScript UVT_MoveRight
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Move Right"
buttontext:	"Move Right"
silentErrors: true
(
	/*	
		@description
			Move unwrap subselection.
		@arguments
			<float> u - U offset value.
			<float> v - V offset value.
	*/
	::ns_uvtools.Unw_TranslateUV 1 0
)

macroScript UVT_MoveLeft
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Move Left"
buttontext:	"Move Left"
silentErrors: true
(
	/*	
		@description
			Move unwrap subselection.
		@arguments
			<float> u - U offset value.
			<float> v - V offset value.
	*/
	::ns_uvtools.Unw_TranslateUV -1 0
)

macroScript UVT_MoveUp
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Move Up"
buttontext:	"Move Up"
silentErrors: true
(
	/*	
		@description
			Move unwrap subselection.
		@arguments
			<float> u - U offset value.
			<float> v - V offset value.
	*/
	::ns_uvtools.Unw_TranslateUV 0 1
)

macroScript UVT_MoveDown
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Move Down"
buttontext:	"Move Down"
silentErrors: true
(
	/*	
		@description
			Move unwrap subselection.
		@arguments
			<float> u - U offset value.
			<float> v - V offset value.
	*/
	::ns_uvtools.Unw_TranslateUV 0 -1
)

macroScript UVT_RotateCW
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Rotate +90"
buttontext:	"Rotate +90"
silentErrors: true
(
	/*
		@description
			Rotate unwrap subselection to given angle.
		@arguments
			<float> ang - Rotate angle.
			<boolean> byElement - Apply to each uv element individually.
	*/
	::ns_uvtools.Unw_RotateUV 90 byElement:false
)

macroScript UVT_RotateCCW
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Rotate -90"
buttontext:	"Rotate -90"
silentErrors: true
(
	/*
		@look Unw_RotateUV
	*/
	::ns_uvtools.Unw_RotateUV -90 byElement:false
)

macroScript UVT_FlipU
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Flip by U"
buttontext:	"Flip by U"
silentErrors: true
(
	/*
		@description
			Flip unwrap subselection by given axis.
		@arguments
			<integer> axis - 1 flip by x, 2 flip by y.
			<boolean> byElement - Apply to each uv element individually.
	*/
	::ns_uvtools.Unw_FlipUV 1 byElement:false
)

macroScript UVT_FlipV
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Flip by V"
buttontext:	"Flip by V"
silentErrors: true
(
	/*
		@look UVT_FlipU
	*/
	::ns_uvtools.Unw_FlipUV 2 byElement:false
)

macroScript UVT_OrientByLenght
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Orient by Lenght"
buttontext:	"Orient by Lenght"
silentErrors: true
(
	/*
		@description
			Orient selected uv elements by longest side.
		@arguments
			<boolean> vertical - If true then orient longest side vertically, else horizontally.
	*/
	::ns_uvtools.Unw_OrientByLength vertical:false
)

macroScript UVT_SelectLongestEdges
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Select Longest Edges"
buttontext:	"Select Longest Edges"
silentErrors: true
(
	/*
		@description
			Select longest opened uv edges.
	*/
	::ns_uvtools.Unw_SelectLongestEdges()
)

macroScript UVT_RotateByEdges
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Rotate by Edges"
buttontext:	"Rotate by Edges"
silentErrors: true
(
	/*
		@description
			Rotate selected ev elements to their selected edges or vertices.
		@arguments
			<integer> axis:
				0 - Nearest axis.
				1 - X axis.
				2 - Y axis.
	*/
	::ns_uvtools.Unw_RotateByEdge axis:0
)

macroScript UVT_Align1
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Align Top"
buttontext:	"Align Top"
silentErrors: true
(
	/*
		@description
			Align uv subselection.
		@arguments
			<integer> alignVal - 0 min, 0.5 center, 1 max.
			<integer> axis - 1 align by x, 2 align by y.
			<boolean> toBorder - If true then align uv to tile border.
			<boolean> byGroup - If true then align subselection as group, else align as uv elements. Only for faces.
	*/
	::ns_uvtools.Unw_Align 1 2 false false
)

macroScript UVT_Align2
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Align Vertical"
buttontext:	"Align Vertical"
silentErrors: true
(
	/*
		@look UVT_Align1
	*/
	::ns_uvtools.Unw_Align 0.5 2 false false
)

macroScript UVT_Align3
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Align Bottom"
buttontext:	"Align Bottom"
silentErrors: true
(
	/*
		@look UVT_Align1
	*/
	::ns_uvtools.Unw_Align 0 2 false false
)

macroScript UVT_Align4
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Align Right"
buttontext:	"Align Right"
silentErrors: true
(
	/*
		@look UVT_Align1
	*/
	::ns_uvtools.Unw_Align 1 1 false false
)

macroScript UVT_Align5
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Align Horizontal"
buttontext:	"Align Horizontal"
silentErrors: true
(
	/*
		@look UVT_Align1
	*/
	::ns_uvtools.Unw_Align 0 1 false false
)

macroScript UVT_Align6
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Align Left"
buttontext:	"Align Left"
silentErrors: true
(
	/*
		@look UVT_Align1
	*/
	::ns_uvtools.Unw_Align 0 1 false false
)

macroScript UVT_Randomize
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Randomize"
buttontext:	"Randomize"
silentErrors: true
(
	/*
		@description
			Randomize selected uv faces.
		@arguments
			<integer> mode - Transform operation. 1 #offset, 2 #rotate, 3 #scale, 4 #flip.
			<integer> axes - Enabled transform axes for offset and scale. 1 x, 2 y, 3 xy.
			<boolean> fitTile - If true then keep elements in uv tile.
			<boolean> byGeo - If true then randomize by geometry elements. Else by uv elements.
			<float> val - Transform value.
			<boolean> step - If true then randomize by absolute values. Else random interval.
	*/
	::ns_uvtools.Unw_Randomize 1 3 fitTile:false byGeo:false val:1.0 step:false
)

macroScript UVT_RandomSelect
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Random Select"
buttontext:	"Random Select"
silentErrors: true
(
	/*
		@description
			Select random elements from current unwrap selection.
		@arguments
			<float> percentage - Selection percentage.
			<boolean> byGeo - If true then randomize by geometry elements. Else by uv elements.
	*/
	::ns_uvtools.Unw_RandomSelect 50 byGeo:false
)

macroScript UVT_UvToSmoothGroups
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_UV to Smooth Groups"
buttontext:	"UV to Smooth Groups"
silentErrors: true
(
	/*
		@description
			Create Smooth Groups by uv elements.
	*/
	::ns_uvtools.Unw_UvToSmooth()
)

macroScript UVT_UvMorpherCreate
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_UV Morpher Create"
buttontext:	"UV Morpher Create"
silentErrors: true
(
	/*
		@description
			Create flat object that represents uv mapping and add Morpher modifier.
		@arguments
			<integer> chan - Mapping channel.
			<boolean> repack - If true then repack uv before flatten.
	*/
	::ns_uvtools.UvMorpherCreate chan:1 repack:false
)

macroScript UVT_UvMorpherShowAsBox
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_UV Morpher Show as box"
buttontext:	"UV Morpher Show as box"
silentErrors: true
(
	/*
		@description
			Switch display Morpher objects as box.
	*/
	::ns_uvtools.UvMorpherShowAsBox()
)

macroScript UVT_UvMorpherSkinAdd
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_UV Morpher Add Skin Wrap"
buttontext:	"UV Morpher Add Skin Wrap"
silentErrors: true
(
	/*
		@description
			Find corresponding Morphers and add Skin Wrap modifiers to their nodes.
		@arguments
			<boolean> picktarget - Pick morpher object manually.
			<boolean> disabled - Add disabled Skin Wrap modifiers.
	*/
	::ns_uvtools.UvMorpherSkinAdd picktarget:false disabled:false
)

macroScript UVT_UvMorpherSkinCut
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_UV Morpher Cut Skin"
buttontext:	"UV Morpher Cut Skin"
silentErrors: true
(
	/*
		@description
			Cut selected objects to corresponding Morpher borders.
		@arguments
			<boolean> picktarget - Pick cut object manually.
	*/
	::ns_uvtools.UvMorpherSkinCut picktarget:false
)

macroScript UVT_TransferSelection
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Transfer Selection"
buttontext:	"Transfer Selection"
silentErrors: true
(
	/*
		@description
			Transfer subselection between Unwrap and Editable Poly.
			Search modifier to transfer and add new if not found.
		@arguments
			<integer> direction:
				0 - Search in all stack.
				1 - Search Up.
				-1 - Search Down.
			<boolean> addNew - Force add new modifier.
	*/
	::ns_uvtools.TransferSelectionFast direction:0 addNew:false
)

macroScript UVT_TransferSelectionDialog
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Transfer Selection Dialog"
buttontext:	"Transfer Selection Dialog"
silentErrors: true
(
	/*
		@description
			Open transfer subselection dialog.
	*/
	::ns_uvtools.TransferSelectionDialog()
)

macroScript UVT_HidePolygons
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Hide Polygons"
buttontext:	"Hide Polygons"
silentErrors: true
(
	/*
		@description
			Hide selected polygons.
		@arguments
			<boolean> grow - Grow selection to uv elements.
	*/
	::ns_uvtools.Unw_HideGeomPolys grow:false
)

macroScript UVT_UnhidePolygons
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Unhide Polygons"
buttontext:	"Unhide Polygons"
silentErrors: true
(
	/*
		@description
			Unhide all hidden polygons.
	*/
	::ns_uvtools.Unw_UnhideGeomPolys()
)

macroScript UVT_PolySelectHard
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Poly Select Hard"
buttontext:	"Poly Select Hard"
silentErrors: true
(
	/*
		@description
			Select hard edges in editable poly.
	*/
	::ns_uvtools.PolySelectHardEdges()
)

macroScript UVT_SizeToTiling
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Size To Tiling"
buttontext:	"Size To Tiling"
silentErrors: true
(
	/*
		@description
			Set tiling in selected textures based on entered size and Unwrap selection.
		@arguments
			<float> u - Texture U size.
			<float> v - Texture V size.
	*/
	::ns_uvtools.Unw_SizeToTiling 1000 1000
)

macroScript UVT_QuickPeel
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Quick Peel"
buttontext:	"Quick Peel"
silentErrors: true
(
	/*
		@description
			Apply Quick Peel mapping to unwrap selection.
		@arguments
			<boolean> resetpeel - Reset before Peel.
			<float> uvSize - If supplied then resize to given uv size.
	*/
	::ns_uvtools.Unw_QuickPeel resetpeel:false uvsize:1000
)

macroScript UVT_Pack
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Pack"
buttontext:	"Pack"
silentErrors: true
(
	/*
		@description
			Perform unwrap packing.
		@arguments
			<integer> method - 0 linear, 1 recursive.
			<float> spacing - Spacing between elements.
			<boolean> fit - Fit elements to tile.
			<boolean> rot - Rotate elements.
			<boolean> fillholes - Fill holes.
			<boolean> norm - Normalize elements.
	*/
	::ns_uvtools.Unw_Pack method:0 spacing:0.01 fit:false rot:false fillholes:false norm:false
)

macroScript UVT_SimilarSelect
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Similar Select"
buttontext:	"Similar Select"
silentErrors: true
(
	/*
		@description
			Select similar unwrap elements based on topology and geometry area.
		@arguments
			<float> similarity - Similarity of elements geometry area. 1.0 - same area, 0.0 - any area.
	*/
	::ns_uvtools.Unw_SimilarSelect similarity:0.99
)

macroScript UVT_Unw_SimilarStack
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Similar Stack"
buttontext:	"Similar Stack"
silentErrors: true
(
	/*
		@description
			Stack similar unwrap elements based on topology and geometry area.
		@arguments
			<float> similarity - Similarity of elements geometry area. 1.0 - same area, 0.0 - any area.
			<boolean> createGroups - Create unwrap groups with similar elements.
			<boolean> outside - Stack similar elements to next uv tile (u +1). For bake.
	*/
	::ns_uvtools.Unw_SimilarStack similarity:0.99 createGroups:false outside:off
)

macroScript UVT_Unw_UngroupSelection
category:	"Nik Scripts - UV Tools"
tooltip:	"UVTools_Ungroup Selection"
buttontext:	"Ungroup Selection"
silentErrors: true
(
	/*
		@description
			Ungroup unwrap selection.
	*/
	::ns_uvtools.Unw_UngroupSelection()
)
